import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, c = (p, r, l, t) => {
  for (var e = t > 1 ? void 0 : t ? u(r, l) : r, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (t ? o(r, l, e) : o(e)) || e);
  return t && e && m(r, l, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--starCircleFilled", this.class = "c-pieIcon c-pieIcon--starCircleFilled", this.name = "IconStarCircleFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--starCircleFilled"><path d="M8 1.219A6.781 6.781 0 1 0 14.781 8 6.79 6.79 0 0 0 8 1.219Zm1.627 9.117L8 9.48l-1.628.875.307-1.829-1.304-1.286 1.82-.263L8 5.322l.814 1.654 1.82.263L9.32 8.525l.306 1.811Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  h("icon-star-circle-filled")
], s);
export {
  s as IconStarCircleFilled
};
